This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1286926 - We must install "subscription-manager-gui" if we want to use VDC in RHEL5.2
We must install "subscription-manager-gui" if we want to use VDC in RHEL5.2
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.2
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 01:05 EST by wwu@redhat.com
Modified: 2016-02-09 20:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 13:51:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of the commands (355.22 KB, text/plain)
2015-12-01 01:05 EST, wwu@redhat.com
no flags Details
before installing rhsm gui (368.26 KB, application/x-bzip)
2015-12-01 03:54 EST, YinKe
no flags Details
after installing rhsm gui (370.80 KB, application/x-bzip)
2015-12-01 03:54 EST, YinKe
no flags Details

  None (edit)
Description wwu@redhat.com 2015-12-01 01:05:39 EST
Created attachment 1100723 [details]
output of the commands

Before install "subscription-manager-gui":
~~~
# subscription-manager list
No installed products to list
# subscription-manager list --all --available
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Server, Standard (Physical or Virtual Nodes)
Provides:          Red Hat Container Images Beta
                   Red Hat Beta
                   Red Hat Software Collections (for RHEL Server)
                   Red Hat Enterprise Linux Atomic Host Beta
                   Oracle Java (for RHEL Server)
                   Red Hat Container Images
                   Red Hat Enterprise Linux Server
                   Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Enterprise Linux Atomic Host
                   Red Hat Developer Toolset (for RHEL Server)
SKU:               RH00004
Contract:          10786605
Pool ID:           8a85f9814ff0134a014ff94a05653286
Available:         4
Suggested:         1
Service Level:     Standard
Service Type:      L1-L3
Subscription Type: Instance Based
Ends:              09/22/2016
System Type:       Physical

Subscription Name: Red Hat Enterprise Linux for Virtual Datacenters, Standard (DERIVED SKU)
Provides:          Red Hat Beta
                   Red Hat Software Collections (for RHEL Server)
                   Oracle Java (for RHEL Server)
                   Red Hat Enterprise Linux Server
                   Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Developer Toolset (for RHEL Server)
SKU:               RH00050
Contract:          10786605
Pool ID:           8a85f9845159660501515b7320000c0f
Available:         Unlimited
Suggested:         0
Service Level:     Standard
Service Type:      L1-L3
Subscription Type: Stackable
Ends:              09/22/2016
System Type:       Virtual
~~~

After install "subscription-manager-gui",it became normal:
~~~
# yum install subscription-manager-gui -y
Installed:
  subscription-manager-gui.x86_64 0:1.11.3-10.el5  
# subscription-manager list
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        5.11
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         09/23/2015
Ends:           09/22/2016
~~~
Comment 1 YinKe 2015-12-01 03:54 EST
Created attachment 1100772 [details]
before installing rhsm gui
Comment 2 YinKe 2015-12-01 03:54 EST
Created attachment 1100773 [details]
after installing rhsm gui
Comment 3 Barnaby Court 2015-12-02 13:51:34 EST
This appears to be a case where the use of rhn has not been migrated using the rhn-migrate-classic-to-rhsm tool. See the documentation at https://access.redhat.com/solutions/129723
Comment 4 wwu@redhat.com 2015-12-02 21:00:34 EST
Thanks Barnaby,

I will test that.

Regards,
Victor
Comment 5 wwu@redhat.com 2015-12-02 21:13:13 EST
But I didn't register this vm to RHN ...

Below is error information in rhsm.log when I run "rhn-migrate-classic-to-rhsm":
~~~
2015-12-03 05:08:52,546 [DEBUG] rhn-migrate-classic-to-rhsm @profile.py:97 - Loading current RPM profile.
2015-12-03 05:08:52,645 [INFO] rhn-migrate-classic-to-rhsm @connection.py:653 - Using basic authentication as: rhn-support-wwu
2015-12-03 05:08:52,645 [INFO] rhn-migrate-classic-to-rhsm @connection.py:674 - Connection Built: host: subscription.rhn.redhat.com, port: 443, handler: /subscription
2015-12-03 05:08:52,646 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:419 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-stage.pem
2015-12-03 05:08:52,647 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:451 - Making request: GET /subscription/users/rhn-support-wwu/owners
2015-12-03 05:08:55,930 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:474 - Response: status=200, requestUuid=e9e18d8c-bc2e-46bc-9526-52d9ae98d09c
2015-12-03 05:08:55,931 [WARNING] rhn-migrate-classic-to-rhsm @connection.py:478 - Clock skew detected, please check your system time
2015-12-03 05:08:55,933 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:419 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-stage.pem
2015-12-03 05:08:55,933 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:451 - Making request: GET /subscription/users/rhn-support-wwu/owners
2015-12-03 05:08:59,042 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:474 - Response: status=200, requestUuid=550c887e-4b4f-4fbd-94e5-59d77eff5171
2015-12-03 05:08:59,044 [WARNING] rhn-migrate-classic-to-rhsm @connection.py:478 - Clock skew detected, please check your system time
2015-12-03 05:08:59,046 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:419 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-stage.pem
2015-12-03 05:08:59,046 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:451 - Making request: GET /subscription/
2015-12-03 05:09:03,034 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:474 - Response: status=200
2015-12-03 05:09:03,035 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:691 - Server supports the following resources:
2015-12-03 05:09:03,035 [DEBUG] rhn-migrate-classic-to-rhsm @connection.py:692 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_o
verrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers'
: '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users'
: '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'consumertypes': '/consumertypes', 'statistics/gener
ate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'packages': '/consumers/{consumer_uuid}/packages', 'owners': '/owners', 'roles': '/roles', 'admin': '
/admin', 'products': '/products', 'activation_keys': '/activation_keys', 'crl': '/crl'}
2015-12-03 05:09:07,853 [ERROR] rhn-migrate-classic-to-rhsm @migrate.py:383 - Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/migrate/migrate.py", line 381, in get_subscribed_channels_list
    subscribed_channels = map(lambda x: x['label'], getChannels().channels())
  File "/usr/share/rhn/up2date_client/rhnChannel.py", line 113, in getChannels
    up2dateChannels = s.up2date.listChannels(up2dateAuth.getSystemId())
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 52, in __call__
    raise self.__exception_from_fault(f)
CommunicationError: 
Error Message:
    Please run rhn_register (or up2date                     --register on Red Hat Enterprise Linux 3 or later)
                    as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

~~~

Note You need to log in before you can comment on or make changes to this bug.